%define pre	rc5
%define rel	2

%define distname	%{name}-%{version}-%{pre}.tar.xz
%define dirname		%{name}-%{version}-%{pre}
%define major		2
%define libname		%mklibname %{name} %{major}
%define develname	%mklibname %{name} -d

Summary:	Font rendering library for OpenGL applications
Name:		ftgl
Version:	2.1.3
Release:	%mkrel 0.rc5.4
License:	MIT
Group:	System/Libraries
URL:	http://ftgl.wiki.sourceforge.net/
Source0:	http://downloads.sourceforge.net/%{name}/%{distname}
Source1:	ftgl.pc	
Patch0:         ftgl-2.1.3-rc5-ttf_font.patch
Patch1:         ftgl-2.1.3-rc5-ldflags.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	freetype2-devel
BuildRequires:	MesaGLU-devel
Requires:	fonts-ttf-dejavu
AutoProv:	no

%description
FTGL is a free, open source library to enable developers to use arbitrary
fonts in their OpenGL (www.opengl.org) applications.  Unlike other OpenGL
font libraries FTGL uses standard font file formats so doesn't need a
preprocessing step to convert the high quality font data into a lesser
quality, proprietary format.  FTGL uses the Freetype (www.freetype.org)
font library to open and 'decode' the fonts. It then takes that output
and stores it in a format most efficient for OpenGL rendering.

Rendering modes supported are:
     * Bit maps
     * Anti aliased pix maps
     * Texture maps
     * Outlines
     * Polygon meshes
     * Extruded polygon meshes

%package -n	%{libname}
Summary:	OpenGL Interface of Freetype2
Group:		System/Libraries
Provides:	%{name} = %{version}-%{release}
Provides:	%{libname} = %{version}-%{release}

%description -n	%{libname}
FTGL is a free, open source library to enable developers to use arbitrary
fonts in their OpenGL (www.opengl.org) applications.  Unlike other OpenGL
font libraries FTGL uses standard font file formats so doesn't need a
preprocessing step to convert the high quality font data into a lesser
quality, proprietary format.  FTGL uses the Freetype (www.freetype.org)
font library to open and 'decode' the fonts. It then takes that output
and stores it in a format most efficient for OpenGL rendering.

Rendering modes supported are:
     * Bit maps
     * Anti aliased pix maps
     * Texture maps
     * Outlines
     * Polygon meshes
     * Extruded polygon meshes

%package -n	%{develname}
Summary:	Development related files of FTGL
Group:		Development/Libraries
Provides:	%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}
Requires:	%{libname} = %{version}-%{release}


%description -n	%{develname}
This package contains headers and static libraries of FTGL.
You need to install it if you want to develop or compile
any programs that make use of OpenGL interface of freetype
library.

%prep
%setup -q -n ftgl-2.1.3~rc5
%apply_patches

find -type f -name '*.txt' -print0 | xargs -0 -r chmod 0644

%build
%configure2_5x --enable-shared \
  --enable-shared \
  --disable-static \
  --with-gl-inc=%{_includedir} \
  --with-gl-lib=%{_libdir} \
  --with-glut-inc=%{_includedir} \
  --with-glut-lib=%{_libdir} \
  --with-x
  
%make

%install
rm -rf %{buildroot}
%makeinstall


# Doc fixes
mkdir -p __doc/html
install -pm 0644 $RPM_BUILD_ROOT%{_datadir}/doc/ftgl/html/* __doc/html
rm -rf $RPM_BUILD_ROOT%{_datadir}/doc

# remove files not bundled
rm -f %{buildroot}%{_bindir}/FTGLDemo
rmdir %{buildroot}%{_bindir} || true

install -m 0644 %SOURCE1 %{buildroot}%{_libdir}/pkgconfig/ftgl.pc

# don't ship .a, .la
find %{buildroot} -name *.a | xargs rm -f
find %{buildroot} -name *.la | xargs rm -f

%post -n %{libname}
/sbin/ldconfig

%postun -n %{libname}
/sbin/ldconfig

%clean
rm -rf %{buildroot}

%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/libftgl.so.%{major}*

%files -n %{develname}
%defattr(-,root,root)
%doc AUTHORS BUGS NEWS README TODO
%{_includedir}/*
%{_libdir}/lib*.so
%{_libdir}/pkgconfig/*.pc


%changelog
* Sat Apr 04 2015 bb <bb> 2.1.3-rc4-1pclos2015
- rebuild for updates

* Tue Oct 29 2013 billybot <billybot> 2.1.3-rc5.3-1pclos2013
- rebuild for updates

* Thu Aug 04 2011 Texstar <texstar at gmail.com> 2.1.3-rc5.2pclos2011
- update
